Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking
Interface DockingStub

    public interface DockingStub

Author:
  Christopher Butler

Method Summary
`Component` | `getDragSource()` Returns the `Component` that is the event source for drag operations.
`Component` | `getFrameDragSource()` Returns the `Component` that is used as a frame drag source.
`String` | `getPersistentId()` Returns a `String` identifier that is unique within a JVM instance, but persistent across JVM instances.
`String` | `getTabText()` Gets the tab text for this class.

Method Detail

### getDragSource

    Component getDragSource()

  Returns the `Component` that is the event source for drag operations. The component may or may not be the same as the Component returned by `getFrameDragSource()`.

  See Also:
    `getFrameDragSource()`

### getFrameDragSource

    Component getFrameDragSource()

  Returns the `Component` that is used as a frame drag source. When this `DockingStub` is floated into an external frame, that frame may or may not have a titlebar for repositioning. The Component returned by this method will be setup with appropriate event listeners such that dragging them will serve to reposition the containing frame as if they were the frame titlebar. If the Component returned by this method and the one returned by `getDragSource()` is the same, then then "frame reposition" behavior will supercede any "drag-to-dock" behavior while this stub is in a floating state.

  See Also:
    `getDragSource()`

### getPersistentId

    String getPersistentId()

  Returns a `String` identifier that is unique within a JVM instance, but persistent across JVM instances. This is used for configuration mangement, allowing the JVM to recognize a `Dockable` instance within an application instance, persist the ID, and recall it in later application instances. The ID should be unique within an appliation instance so that there are no collisions with other `Dockable` instances, but it should also be consistent from JVM to JVM so that the association between a `Dockable` instance and its ID can be remembered from session to session.

  The framework performs indexing on the persistent ID. Consequently, this method may not return a `null` reference.

### getTabText

    String getTabText()

  Gets the tab text for this class.

  Returns:
    the text placed in a `JTabbedPane` tab.
  See Also:
    `JTabbedPane`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD